Address already in use


#1

Hi all,
I’m new using flytbase, my knowledge at the moment is too limit.
I’m using an Intel Aero Ready to fly drone, I’ve installed flytOS, I have two issues

  1. when I go to the URL http://localhost/flytconsole/this doesn’t connect to my drone (The flight controller is connected to the Intel Aero board)
  2. when I lunch flytOS at the console the next logs appears
    [flytos/mavros-2] restarting process
    process[flytos/mavros-2]: started with pid [25073]
    [ INFO] [1523594718.519948451]: FCU URL: udp://0.0.0.0:14550@:14555
    [ INFO] [1523594718.523144386]: udp0: Bind address: 0.0.0.0:14550
    [ INFO] [1523594718.523770644]: GCS URL: tcp-l://:5760
    [ INFO] [1523594718.524411288]: tcp1: Bind address: 0.0.0.0:5760
    [FATAL] [1523594718.525203107]: GCS: DeviceError:tcp-l:bind: Address already in use
    [ INFO] [1523594718.597886834]: [LIC] license file valid, system date validity check done
    Debug: mavconn: udp0: recv: v2.0 !CRC Message-Id: 33 [28 bytes] IDs: 1.1 Seq: 105
    [flytos/mavros-2] process has finished cleanly
    log file: /home/rtf_drone/.ros/log/6e375796-3ed5-11e8-a8a5-ba497920cb33/flytos-mavros-2*.log

#2

Have you installed FlytOS or FlytSim ?
Also run this command on a terminal of Aero:

sudo lsof -i :5760


#3

I installed flytOS…
I run the command:

COMMAND PID USER FD TYPE DEVICE SIZE/OFF NODE NAME
aero-opti 788 root 4u IPv4 18526 0t0 TCP localhost:55128->localhost:5760 (ESTABLISHED)
mavlink-r 887 root 8u IPv4 19531 0t0 TCP localhost:5760->localhost:55128 (ESTABLISHED)
mavlink-r 887 root 9u IPv4 19461 0t0 TCP *:5760 (LISTEN)


#4

Hi Alex,

Open a terminal in Aero.
Run command: sudo -s to have root access.
Run command:
nano /flyt/flytos/flytcore/share/core_api/launch/core_api_autopilot.launch and edit this line:

<arg name=“gcs_url” value=“tcp-l://:5760” />

to

<arg name=“gcs_url” value=“tcp-l://:5860” />

Do the same edit on /flyt/flytos/flytcore/share/core_api/launch/core_api_autopilot.launch-bak as well.


#5

Thanks for your reply
I have this errors when lunching flytOS

rtf_drone@intel-rtf-drone:~$ lauch_flytOS
Error processing line 1 of /usr/local/lib/python3.5/dist-packages/matplotlib-2.0.2-py3.5-nspkg.pth:

Failed to import the site module
Traceback (most recent call last):
File “/usr/lib/python3.5/site.py”, line 173, in addpackage
exec(line)
File “”, line 1, in
File “/usr/lib/python3.5/types.py”, line 166, in
import functools as _functools
File “/usr/lib/python3.5/functools.py”, line 21, in
from collections import namedtuple
File “/usr/lib/python3.5/collections/init.py”, line 32, in
from reprlib import recursive_repr as _recursive_repr
File “/usr/lib/python2.7/dist-packages/reprlib/init.py”, line 7, in
raise ImportError('This package should not be accessible on Python 3. '
ImportError: This package should not be accessible on Python 3. Either you are trying to run from the python-future src folder or your installation of python-future is corrupted.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.5/site.py”, line 580, in
main()
File “/usr/lib/python3.5/site.py”, line 567, in main
known_paths = addsitepackages(known_paths)
File “/usr/lib/python3.5/site.py”, line 344, in addsitepackages
addsitedir(sitedir, known_paths)
File “/usr/lib/python3.5/site.py”, line 212, in addsitedir
addpackage(sitedir, name, known_paths)
File “/usr/lib/python3.5/site.py”, line 183, in addpackage
import traceback
File “/usr/lib/python3.5/traceback.py”, line 3, in
import collections
File “/usr/lib/python3.5/collections/init.py”, line 32, in
from reprlib import recursive_repr as _recursive_repr
File “/usr/lib/python2.7/dist-packages/reprlib/init.py”, line 7, in
raise ImportError('This package should not be accessible on Python 3. '
ImportError: This package should not be accessible on Python 3. Either you are trying to run from the python-future src folder or your installation of python-future is corrupted.


#6

It does not make any sense: the spelling of the command is wrong in itself. It should be 'launch_flytOS’
I would rather request you to reboot your device once, and then send me the FlytOS Runlog. Click here to know how to fetch FlytOS runlog.


#7

Thanks for your reply @srv-admin everything is working ok.
When I’m reading the API documentation, I tried to run the ARM script in python, but I have the next log

[FATAL] [1524006377.368279619]: Nav: RC Not detected, call access_request API to enable API access. Rejecting Arm command


#8

The error seems to be quite self explanatory.

Link to access_request API.